﻿Imports System.IO

Module VbExample

    Sub Main()
        ' Load a driver license text. Don't forget to put testdl.txt next to exe file.
        Dim scannedText = File.ReadAllText("testdl.txt")
        ' Parse the text and create an instance of DriverLicense.
        ' All fields in DriverLicense are strings. 
        ' When the parser is not able to parse the text it returns null. Parser doesn't throw exceptions.
        Dim license = DriverLicense.ParseText(scannedText)

        If (license IsNot Nothing) Then
            Console.WriteLine(license.FirstName)
            Console.WriteLine(license.MiddleName)
            Console.WriteLine(license.LastName)
        End If
    End Sub

End Module
